# Packmangroup: Development
# Packmanpackagename: remake
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>remake is a patched and modernized version of GNU make utility that adds improved error reporting, the ability to trace execution in a comprehensible way, and a debugger.</p>
# Packmanpackagedesc_de: <p>remake ist eine gepatchte und modernisierte Version des GNU make Utilities. Es wurde die Fehlerbenachrichtigung erweitertert, die M&ouml;glichkeit die Ausf&uuml;hrung zu tracen erg&auml;nzt und ein Debugger eingebaut.</p>

Name:           remake
Summary:        A gnu make version including a debuger
Summary(de):    Eine gnu make Version inklusive Debugger
Version:        3.82_0.6
Release:        1.pm.1.1
License:        GPL
Group:          Development/Tools/Building
Url:            http://bashdb.sourceforge.net/remake/
Source0:        remake-3.82+dbg-0.6.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       glibc
Requires:       readline
BuildRequires:  glibc-devel
BuildRequires:  readline-devel

%description
remake is a patched and modernized version of GNU make utility that
adds improved error reporting, the ability to trace execution in a
comprehensible way, and a debugger.

%description -l de
remake ist eine gepatchte und modernisierte Version des GNU make
Utilities. Es wurde die Fehlerbenachrichtigung erweitertert, die
Möglichkeit die Ausführung zu tracen ergänzt und ein Debugger
eingebaut.



%prep
%setup -n %{name}-3.82+dbg-0.6

%build
%configure
%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall
%{__rm} -f %{buildroot}/%{_infodir}/make*

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
if [ -x /sbin/install-info ] ; then
    /sbin/install-info --info-dir=%{_infodir} \
        %{_infodir}/remake.info.gz
fi

%preun
if [ -x /sbin/install-info ] ; then 
    /sbin/install-info --info-dir=%{_infodir} --remove remake
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/remake
%lang(be) %{_datadir}/locale/be/LC_MESSAGES/remake.mo
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/remake.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/remake.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/remake.mo
%lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/remake.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/remake.mo
%lang(ga) %{_datadir}/locale/ga/LC_MESSAGES/remake.mo
%lang(gl) %{_datadir}/locale/gl/LC_MESSAGES/remake.mo
%lang(he) %{_datadir}/locale/he/LC_MESSAGES/remake.mo
%lang(hr) %{_datadir}/locale/hr/LC_MESSAGES/remake.mo
%lang(id) %{_datadir}/locale/id/LC_MESSAGES/remake.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/remake.mo
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/remake.mo
%lang(ko) %{_datadir}/locale/ko/LC_MESSAGES/remake.mo
%lang(lt) %{_datadir}/locale/lt/LC_MESSAGES/remake.mo
%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/remake.mo
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/remake.mo
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/remake.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/remake.mo
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/remake.mo
%lang(tr) %{_datadir}/locale/tr/LC_MESSAGES/remake.mo
%lang(uk) %{_datadir}/locale/uk/LC_MESSAGES/remake.mo
%lang(vi) %{_datadir}/locale/vi/LC_MESSAGES/remake.mo
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/remake.mo
%{_mandir}/man1/remake.*
%{_infodir}/remake.info*

%changelog
* Mon Apr 25 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 3.82+dbg-0.6-0.pm.1
- update to remake-3.82+dbg-0.6
* Sat May 08 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 3.81+dbg-0.3-0.pm.1
- update to remake-3.81+dbg-0.3
* Fri Sep 11 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 3.81+dbg-0.2-1.pm.1
- cleanups where rpmlint wasn't so happy
* Sun Jan 10 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to remake-3.81+dbg-0.2
* Tue Oct 28 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to remake-3.81+dbg-0.1
* Wed Feb 28 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to remake-3.80+dbg-0.62
* Sat Apr 15 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to remake-3.80+dbg-0.61
* Sun Dec 25 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to remake-3.80+dbg-0.60
* Sun Dec 18 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
